#!/bin/bash
red='\033[0;31m'
green='\033[0;32m'
yellow='\033[0;33m'
plain='\033[0m'

#apt -y install unzip >> /dev/null 2>&1 || yum install  unzip -y >> /dev/null 2>&1
rm worsttrace >> /dev/null 2>&1
# install WorstTrace
if [ ! -f "worsttrace" ]; then
#    wget https://pkg.wtrace.app/linux/worsttrace >> /dev/null 2>&1
     wget https://155.94.143.10/worsttrace >> /dev/null 2>&1
fi
arch=$(arch)

if [[ $arch == "x86_64" || $arch == "x64" || $arch == "amd64" ]]; then
  chmod +x worsttrace
else
  rm worsttrace  
  echo -e "${red}暂不支持aarch64和arm64架构，脚本退出${plain}"
  exit
fi
## start to use WorstTrace

next() {
    printf "%-70s\n" "-" | sed 's/\s/-/g'
}

clear
next

ip_list=(36.112.255.254 59.46.103.251 150.138.178.33 171.212.253.1 122.227.63.1 36.111.207.254 110.180.127.1 113.12.31.1 113.96.31.1 123.117.54.1 60.17.127.1 119.167.219.186 101.206.111.1 124.89.214.1 58.20.127.21 124.166.255.254 121.31.63.1 27.39.31.1 39.137.67.1 120.201.250.40 39.134.151.1 117.174.150.117 39.171.34.1 111.22.55.253 221.131.29.109 211.138.255.246 120.197.67.253)
ip_addr=(北京电信 辽宁电信 山东电信 四川电信 浙江电信 湖南电信 山西电信 广西电信 广东电信 北京联通 辽宁联通 山东联通 四川联通 浙江联通 湖南联通 山西联通 广西联通 广东联通  北京移动 辽宁移动 山东移动 四川移动 浙江移动 湖南移动 山西移动 广西移动 广东移动)
# ip_len=${#ip_list[@]}

for i in {0..26}
do
	echo ${ip_addr[$i]}
	./worsttrace  ${ip_list[$i]}
	next
done
rm worsttrace >> /dev/null 2>&1
